import { objectWithoutProperties as _objectWithoutProperties, extends as _extends, slicedToArray as _slicedToArray } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import * as React from 'react';
import { Tabs, Tab } from '@mui/material';
import { SettingPanelContainer, SettingPanelWrapper } from './style.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';
import SectionHeader from '../../SectionHeader/SectionHeader/index.js';

var _excluded = ["children", "value", "index"],
    _excluded2 = ["options", "sectionName", "isSectionHeader"];
var TabPanel = function TabPanel(_ref) {
  var children = _ref.children,
      value = _ref.value,
      index = _ref.index,
      other = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("div", _extends({
    role: "tabpanel",
    hidden: value !== index,
    id: "simple-tabpanel-".concat(index),
    "aria-labelledby": "simple-tab-".concat(index),
    className: "h-tab-panel"
  }, other), value === index && /*#__PURE__*/React.createElement("div", null, children));
};

var SettingsPanel = function SettingsPanel(props) {
  var options = props.options,
      sectionName = props.sectionName,
      _props$isSectionHeade = props.isSectionHeader,
      isSectionHeader = _props$isSectionHeade === void 0 ? false : _props$isSectionHeade,
      rest = _objectWithoutProperties(props, _excluded2);

  var _React$useState = React.useState(0),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      value = _React$useState2[0],
      setValue = _React$useState2[1];

  var handleChange = function handleChange(event, newValue) {
    setValue(newValue);
  };

  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React.createElement(globalStyle, null), /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(SettingPanelContainer, null, /*#__PURE__*/React.createElement(SettingPanelWrapper, null, /*#__PURE__*/React.createElement(Tabs, _extends({}, rest, {
    value: value,
    onChange: handleChange,
    orientation: "vertical"
  }), options.map(function (SettingsPanelTabItem, index) {
    return /*#__PURE__*/React.createElement(Tab, {
      key: index,
      icon: SettingsPanelTabItem.icon,
      value: SettingsPanelTabItem.value,
      label: SettingsPanelTabItem.label
    });
  }))), options.map(function (option, index) {
    return /*#__PURE__*/React.createElement(TabPanel, {
      value: value,
      index: index
    }, isSectionHeader && /*#__PURE__*/React.createElement(SectionHeader, {
      link: option.link,
      from: option.from,
      to: option.to,
      sectionName: sectionName,
      subHeading: option.subHeading
    }), option.component);
  }))));
};

export { TabPanel, SettingsPanel as default };
//# sourceMappingURL=index.js.map
